<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TransferAvail StructType
 * @subpackage Structs
 */
class TransferAvail extends AbstractStructBase
{
    /**
     * The TransferAvailRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_TransferAvailabilityRQ
     */
    public $TransferAvailRQ;
    /**
     * Constructor method for TransferAvail
     * @uses TransferAvail::setTransferAvailRQ()
     * @param \StructType\JP_TransferAvailabilityRQ $transferAvailRQ
     */
    public function __construct(\StructType\JP_TransferAvailabilityRQ $transferAvailRQ = null)
    {
        $this
            ->setTransferAvailRQ($transferAvailRQ);
    }
    /**
     * Get TransferAvailRQ value
     * @return \StructType\JP_TransferAvailabilityRQ|null
     */
    public function getTransferAvailRQ()
    {
        return $this->TransferAvailRQ;
    }
    /**
     * Set TransferAvailRQ value
     * @param \StructType\JP_TransferAvailabilityRQ $transferAvailRQ
     * @return \StructType\TransferAvail
     */
    public function setTransferAvailRQ(\StructType\JP_TransferAvailabilityRQ $transferAvailRQ = null)
    {
        $this->TransferAvailRQ = $transferAvailRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\TransferAvail
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
